Bug 646079 - [abrt] ipython-0.10.1-1.fc13: __init__.py:52:_init:RuntimeError: could not open display
[abrt] ipython-0.10.1-1.fc13: __init__.py:52:_init:RuntimeError: could not op...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipython (Show other bugs)
13
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
abrt_hash:4f66cc03
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-24 05:57 EDT by pankaj pandey
Modified: 2013-01-10 05:46 EST (History)
4 users (show)

See Also:
Fixed In Version: ipython-0.10.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-23 16:49:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (2.10 KB, text/plain)
2010-10-24 05:57 EDT, pankaj pandey
no flags Details

  None (edit)
Description pankaj pandey 2010-10-24 05:57:19 EDT
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
comment: ipython should not require x display, it should work without it
component: ipython
executable: /usr/bin/ipython
kernel: 2.6.34.7-56.fc13.x86_64
package: ipython-0.10.1-1.fc13
reason: __init__.py:52:_init:RuntimeError: could not open display
release: Fedora release 13 (Goddard)
time: 1287913940
uid: 500

How to reproduce
-----
1. start ipython in a vt console, not in a GUI
Comment 1 pankaj pandey 2010-10-24 05:57:23 EDT
Created attachment 455327 [details]
File: backtrace
Comment 2 Thomas Spura 2010-10-26 18:20:33 EDT
Thanks for the bug report.

This is now fixed in upstream git repository, but I have no time right now to backport the fix and do an update. Maybe by the end of this week or next week, I'll do the update.

(Or a co-maintainer could to this...)


Upstream commit:
http://github.com/ipython/ipython/commit/8161523536289eaed01ca42707f6785f59343cd7
Comment 3 Fedora Update System 2010-11-14 21:29:42 EST
ipython-0.10.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ipython-0.10.1-3.fc14
Comment 4 Fedora Update System 2010-11-14 21:38:09 EST
ipython-0.10.1-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ipython-0.10.1-3.fc13
Comment 5 Fedora Update System 2010-11-15 17:16:56 EST
ipython-0.10.1-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipython'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ipython-0.10.1-3.fc14
Comment 6 Fedora Update System 2010-11-23 16:48:59 EST
ipython-0.10.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-11-23 16:59:49 EST
ipython-0.10.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.